SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SULineStylesRef Struct Reference

Provides access to the different line style objects in the model. More...

`#include <SketchUpAPI/model/line_styles.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SULineStylesGetNumLineStyles (SULineStylesRef line_styles, size_t *count)
| Gets the number of line styles. More...
enum SUResult | SULineStylesGetLineStyleNames (SULineStylesRef line_styles, size_t len, SUStringRef line_styles_provider_names[], size_t *count)
| Retrieves line styles associated with the line styles manager. More...
enum SUResult | SULineStylesGetLineStyleByName (SULineStylesRef line_styles, const char *name, SULineStyleRef *line_style)
| Retrieves the line styles provider given a name. More...

## Detailed Description

Provides access to the different line style objects in the model.

## Friends And Related Function Documentation

enum SUResult SULineStylesGetLineStyleByName | ( | SULineStylesRef | line_styles,
|  | const char * | name,
|  | SULineStyleRef * | line_style
| ) |  |
| related

Retrieves the line styles provider given a name.

Since
  SketchUp 2019, API 7.0

Parameters

  [in] | line_styles | The line_styles manager object.
  [in] | name | The name of the line style object to get. Assumed to be UTF-8 encoded.
  [out] | line_style | The line style object retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if line_styles is not a valid object
  - SU_ERROR_NULL_POINTER_INPUT if name is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if line_style is NULL
  - SU_ERROR_NO_DATA if name does not match the name of any existing style.

enum SUResult SULineStylesGetLineStyleNames | ( | SULineStylesRef | line_styles,
|  | size_t | len,
|  | SUStringRef | line_styles_provider_names[],
|  | size_t * | count
| ) |  |
| related

Retrieves line styles associated with the line styles manager.

Since
  SketchUp 2019, API 7.0

Parameters

  [in] | line_styles | The line_styles manager object.
  [in] | len | The number of line style names to retrieve.
  [out] | line_styles_provider_names | The line_style names retrieved.
  [out] | count | The number of line style names retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if line_style_manager is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if line_styles_providers or count is NULL
  - SU_ERROR_INVALID_OUTPUT if any of the strings in line_styles_provider_names are invalid

enum SUResult SULineStylesGetNumLineStyles | ( | SULineStylesRef | line_styles,
|  | size_t * | count
| ) |  |
| related

Gets the number of line styles.

Since
  SketchUp 2019, API 7.0

Parameters

  [in] | line_styles | The line_styles manager object.
  [out] | count | The number of line styles available.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if line_style_manager is not valid
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/line_styles.h